JMXSetTask (Apache Tomcat 9.0.75 API Documentation)

Package org.apache.catalina.ant

## Class JMXSetTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.catalina.ant.BaseRedirectorHelperTask
      - - org.apache.catalina.ant.AbstractCatalinaTask
        - - org.apache.catalina.ant.JMXSetTask

- All Implemented Interfaces:
    `java.lang.Cloneable`

      public class JMXSetTask
      extends AbstractCatalinaTask

  Ant task that implements the JMX Set command (`/jmxproxy/?set`) supported by the Tomcat manager application.
  Author:
    Vivek Chopra

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.String` | `attribute` | The attribute you wish to alter
    `protected java.lang.String` | `bean` | The full bean name
    `protected java.lang.String` | `value` | The new value for the attribute

    - ### Fields inherited from class org.apache.catalina.ant.AbstractCatalinaTask

      `charset, ignoreResponseConstraint, password, url, username`

    - ### Fields inherited from class org.apache.catalina.ant.BaseRedirectorHelperTask

      `alwaysLog, failOnError, redirectErrStream, redirector, redirectorConfigured, redirectorElement, redirectOutput, redirectOutStream`

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JMXSetTask()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute()` | Execute the requested operation.
    `java.lang.String` | `getAttribute()` | Get method for the attribute name
    `java.lang.String` | `getBean()` | Get method for the bean name
    `java.lang.String` | `getValue()` | Get method for the attribute value
    `void` | `setAttribute​(java.lang.String attribute)` | Set method for the attribute name
    `void` | `setBean​(java.lang.String bean)` | Set method for the bean name
    `void` | `setValue​(java.lang.String value)` | Set method for the attribute value.

    - ### Methods inherited from class org.apache.catalina.ant.AbstractCatalinaTask

      `execute, execute, getCharset, getPassword, getUrl, getUsername, isIgnoreResponseConstraint, setCharset, setIgnoreResponseConstraint, setPassword, setUrl, setUsername`

    - ### Methods inherited from class org.apache.catalina.ant.BaseRedirectorHelperTask

      `addConfiguredRedirector, closeRedirector, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, handleOutput, isFailOnError, openRedirector, setAlwaysLog, setAppend, setCreateEmptyFiles, setError, setErrorProperty, setFailonerror, setLogError, setOutput, setOutputproperty`

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleInput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bean

          protected java.lang.String bean

      The full bean name

    - #### attribute

          protected java.lang.String attribute

      The attribute you wish to alter

    - #### value

          protected java.lang.String value

      The new value for the attribute

  - ### Constructor Detail

    - #### JMXSetTask

          public JMXSetTask()

  - ### Method Detail

    - #### getBean

          public java.lang.String getBean()

      Get method for the bean name
      Returns:
        Bean name

    - #### setBean

          public void setBean​(java.lang.String bean)

      Set method for the bean name
      Parameters:
        `bean` - Bean name

    - #### getAttribute

          public java.lang.String getAttribute()

      Get method for the attribute name
      Returns:
        Attribute name

    - #### setAttribute

          public void setAttribute​(java.lang.String attribute)

      Set method for the attribute name
      Parameters:
        `attribute` - Attribute name

    - #### getValue

          public java.lang.String getValue()

      Get method for the attribute value
      Returns:
        Attribute value

    - #### setValue

          public void setValue​(java.lang.String value)

      Set method for the attribute value.
      Parameters:
        `value` - Attribute value

    - #### execute

          public void execute()
                       throws org.apache.tools.ant.BuildException

      Execute the requested operation.
      Overrides:
        `execute` in class `AbstractCatalinaTask`
      Throws:
        `org.apache.tools.ant.BuildException` - if an error occurs